Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #729 (closed enhancement: fixed)

Opened 13 years ago

Last modified 9 years ago

Add support for reporting rate control statistics via /proc

Reported by: matt@mattb.net.nz Assigned to:
Priority: minor Milestone: version 0.9.2
Component: madwifi: driver Version:
Keywords: Cc:
Patch is attached: 1 Pending:

Description

This patch adds support for reporting statistics on the operation of the rate control modules via /proc. Currently on the sample rate module actually provides any statistics.

This patch uses the new VAP proc entry support provided by ticket #728 to manage the proc entries. It must not be applied until after the patch from ticket #728 has been committed.

The statistics reported for the sample module were present in the madwifi-old module but did not seem to make it into madwifi-ng. I have made some minor changes to how these statistics are reported:

  1. Statistics are now reported via /proc entries instead of using sysctls. Sysctls are intended as a method for the user to configure parameters of the module and should not be misued for reporting statistics.
  2. A new symbol ath_rate_dynamic_proc_register is exported from each rate control module. This function is called by the driver just after a new VAP has been created to allow the rate control module to register the appropriate proc entries. As described in ticket #728, all further management of these entries will be handled by the VAP, which will call the functions supplied by the rate control module to retrieve data when necessary.

The information that this patch adds back into the driver is very useful and is referred to in the documentation at wiki:UserDocs/RateControl which currently causes some confusion when the statistics is not found. The aforementioned page should be updated to reflect that the statistics will now live at /proc/net/madwifi/<ifname>/ratestats_{250,1600,3000} after this patch is applied.

Please apply this patch after you have committed the patch in ticket #728.

Signed-off-by: Matt Brown <matt@mattb.net.nz>

Attachments

mattb-rate-procstats.diff (6.7 kB) - added by matt@mattb.net.nz on 07/01/06 06:25:55.
Adds rate control statistics to /proc

Change History

07/01/06 06:25:55 changed by matt@mattb.net.nz

  • attachment mattb-rate-procstats.diff added.

Adds rate control statistics to /proc

07/02/06 09:02:46 changed by mrenzmann

  • milestone set to version 0.9.2.

07/04/06 12:24:38 changed by kelmo

Applied to r1667, now the docs need to be updated.

07/20/06 09:04:59 changed by kelmo

  • status changed from new to closed.
  • resolution set to fixed.

Matt, I added enough information to wiki:UserDocs/RateControl to satisfy the closure of this ticket. Please add further enhancements (or fixes!) as you see fit.

Thanks, Kel.

04/15/10 18:13:17 changed by cxxxdds

An automobile, or auto for short, is a wheeled [gerls001.co.cc] motor vehicle used as a means of transportation and carries its own motor or engine. Some definitions would insist that autos are specifically for the transportation of people and should be primarily for the road and [gerls002.co.cc] should have four wheels. Hence, an auto manual would be an instructional document for a wheeled motor vehicle being used to mainly transport people on the road. And seeing as that there are a lot of automobile models out there depending on factors like [gerls003.co.cc] year and series, this would entail that the variety of auto manuals out there would be of a more than substantial amount to compensate for the number of models in circulation all over the globe. An auto manual is an integral part of the automobile. It is as important as let's say, the gears, or the [gerls004.co.cc] speed-o-meter, or the steering wheel.